Subject: Re: bug#37850: Glib documentation is missing

From: Marius Bakke <[email-masked]>
Date: Wed, 23 Oct 2019 20:22:33 +0200

Pierre Neidhardt <[email-masked]> writes:

> Since the last core-update merge, glib 2.58.1+ does not include the
> documentation anymore (it was in the "doc" output).
>
> Documentation for Glib/GTK-based libraries is very useful for
> developers: it allows offline and contextual access from any text
> editor.
>
> This is why it would be nice to include it back.
>
> Commit 6c237a2d7bfa3c7be02c069e5c24a2b401a51864 (June 21st) states
>
> --8<---------------cut here---------------start------------->8---
> [outputs]: Remove "doc" as the documentation files are no longer included.
> --8<---------------cut here---------------end--------------->8---
>
> However looking at the source of Glib I cannot find trace of this in the
> NEWS file nor in the INSTALL.in file.  Disclaimer: I haven't tried
> building glib.
>
> Maybe we miss a compilation flag?

Installing the GLib documentation now requires 'gtk-doc' at build time:

https://gitlab.gnome.org/GNOME/glib/blob/master/meson_options.txt

'gtk-doc' unsurprisingly depends on GLib, so I'm not sure what the best
approach is.